# Interface WidgetsJson

The widgets object contains widgets that should be exposed to the user.

See https://developers.arcgis.com/web-map-specification/objects/widgets/ https://developers.arcgis.com/web-scene-specification/objects/widgets/.

interface WidgetsJson {
floorFilter?: FloorFilterJson;
range?: RangeJson;
timeSlider?: TimeSliderJson;
}

#####
Index

### Properties

floorFilter?
range?
timeSlider?

##
Properties

### `Optional` floorFilter

floorFilter?: FloorFilterJson

Configurable properties used by the floor filter widget.

### `Optional` range

range?: RangeJson

Active range.

### `Optional` timeSlider

timeSlider?: TimeSliderJson

Time animation is controlled by a configurable time slider. The time slider widget will act upon all the time aware layers in the map.